<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <!-- Meta -->
  <title>GNOME Development</title>
  <meta name="title" content="GNOME Developer">
  <meta itemprop="name" content="GNOME Developer">
  <meta name="description" content="Get help developing application for GNOME.">
  <meta itemprop="description" content="Get help developing application for GNOME.">

  <!-- Twitter -->
  <meta property="twitter:title" content="GNOME Developer">
  <meta property="twitter:card" content="summary_large_image">
  <meta property="twitter:description" content="Get help developing application for GNOME.">
  <meta property="og:image" content="https://developer.gnome.org/assets/card.png">

  <!-- Open Graph -->
  <meta property="og:title" content="GNOME Developer">
  <!-- <meta property="og:url" content="https://world.pages.gitlab.gnome.org/design/tools"> -->
  <meta property="og:description" content="Get help developing application for GNOME.">
  <!-- <meta property="og:image" content="https://world.pages.gitlab.gnome.org/design/tools/card.png"> -->

  <link rel="stylesheet" href="assets/style.css">
  <!-- <link rel="icon" type="image/png" href="/favicon.svg" />
  <link rel="apple-touch-icon" href="/apple-touch-icon.png" sizes="180x180"> -->
</head>

<body>


  <div class="top-row">
    <div class="container">
    <!--<img id="logo" src="assets/logo-stencil-bw.svg" alt="GNOME Developer">-->


      <img class="banner" src="assets/developer-docs.svg" alt="GNOME Developer Docs">
      <h2>Get started developing for GNOME.</h2>




      <p class="small-print">GNOME is a complete platform. These guides will let you improve the integration of your application, teach you how to optimize your code, or improve your developer experience.</p>

    </div>
  </div>

  <div class="main-row centered">
    <div class="container-overview">
      <div class="subhero-container">

        <div class="subhero">
          <div class="graphic">
            <a href="http://developer.gnome.org/documentation/bindings.html"><img src="assets/gtk.svg" alt="Platform"></a>
          </div>
          <div class="text">
            <h3>Design</h3>
            <p>Application development starts with the design. Read the <a href="https://teams.pages.gitlab.gnome.org/Design/hig-www/">Human Interface Guildelines</a>.</p>

          </div>
        </div>

        <div class="subhero">
          <div class="graphic">
            <a href="https://developer.gnome.org/documentation/builder.html"><img src="assets/org.gnome.Builder.svg" alt="Builder"></a>
          </div>
          <div class="text">
            <h3>Build</h3>
            <p>GNOME apps can be written in Python, JavaScript, Rust, Vala & C. GNOME's integrated development environment makes it easy to start, write and build GNOME apps.</p>
          </div>
        </div>




        <div class="subhero">
          <div class="graphic">
            <a href="https://developer.gnome.org/documentation/flatpak.html"><img src="assets/flatpak-distribution.svg" alt="Flatpak"></a>
          </div>
          <div class="text">
            <h3>Distribute</h3>
            <p>Build and distribute your application to all Linux users, regardless of their distribution.</p>
          </div>
        </div>

      </div>
    </div>
  </div>



  <div class="secondary-row">
    <div class="container">

    <h2>Developer Guidelines</h2>
      <p>Learn about the development processes, conventions and philosophies behind GNOME applications and the stack of libraries supporting them.</p>

      <a href="https://ebassi.pages.gitlab.gnome.org/developer-www/guides.html" class="button small blue-button">Guidelines</a>
    </div>
  </div>

    <!--#libs
    <div id="libs" class="container">
    <h2>Documentation</h2>
      <ul class="textlist">
        <li><a href="https://zeenix.pages.freedesktop.org/zbus">zbus</a></li>
        <li><a href="https://github.com/bilelmoussaoui/ashpd">ASHPD</a></li>
        <li><a href="https://gnome.pages.gitlab.gnome.org/libmanette">libmanette</a></li>
        <li><a href="https://gnome.pages.gitlab.gnome.org/retro-gtk">RetroGTK</a></li>
      </ul>
    </div>-->


    <footer>

      <div class="container">
        <a href="https://www.gnome.org"><img id="footerlogo" alt="" src="assets/logo-stencil-bw.svg"></a>
        <p>Creative Commons CC-BY-SA</p>
      </div>
    </footer>


</body>

</html>
